<?php

namespace Modules\Attribute\Interfaces;

use Modules\Attribute\Models\Attribute;

interface AttributeRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Attribute;
    public function update(array $request, Attribute $attribute): Attribute;
    public function destroy(Attribute $attribute): void;
    public function destroyAll(array $ids): void;
    public function restore(Attribute $attribute): void;
    public function restoreAll(array $ids): void;
}
